export interface SinkStateKey {
    catalogSlug: string;
    packageSlug: string;
    packageMajorVersion: number;
}
export interface SchemaState {
    lastOffset: number | null;
}
export interface StreamState {
    updateHash?: string;
    schemaStates: Record<string, SchemaState>;
    streamOffset?: number;
}
export interface StreamSetState {
    updateHash?: string;
    streamStates: Record<string, StreamState>;
}
export interface SinkState {
    packageVersion: string;
    timestamp: Date;
    streamSets: Record<string, StreamSetState>;
}
