declare type CallBackType<T> = (resolve: (value: T | PromiseLike<T>) => void, reject: (reason?: any) => void) => void;
export declare class TimeoutPromise<T> extends Promise<T> {
    constructor(timeout: number, callback: CallBackType<T>);
    static resolveWithTimeout<T>(timeout: number, x: Promise<T>): Promise<T>;
}
export {};
