"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const main_1 = require("../src/main");
describe("Checking VersionUtil", () => {
    it("Password validation", () => {
        (0, chai_1.expect)((0, main_1.passwordValid)(undefined)).equal("PASSWORD_REQUIRED");
        (0, chai_1.expect)((0, main_1.passwordValid)("")).equal("PASSWORD_REQUIRED");
        (0, chai_1.expect)((0, main_1.passwordValid)("abcdef")).equal("PASSWORD_TOO_SHORT");
        (0, chai_1.expect)((0, main_1.passwordValid)("a".repeat(100))).equal("PASSWORD_TOO_LONG");
        (0, chai_1.expect)((0, main_1.passwordValid)("abcdefgh")).equal("INVALID_CHARACTERS");
        (0, chai_1.expect)((0, main_1.passwordValid)("abcdefgh")).equal("INVALID_CHARACTERS");
        (0, chai_1.expect)((0, main_1.passwordValid)("abcdefg!")).equal(true);
    });
});
//# sourceMappingURL=PasswordValidation.spec.js.map